---
title: 'tools and services'
date: 202003031402.47
tags:
- 'tilde'
- 'sysadmin'
---

inspired by [tomasino](https://tomasino.org)'s recent
[post](%20https://labs.tomasino.org/freelancing-tools-services/), i'd
like to detail some of the stuff that i rent and use.

------------------------------------------------------------------------

## recurring costs

some of these are monthly, others are annual

-   [server
    rental](https://www.ovh.com/world/dedicated-servers/infra/infra-2/)
    - $135/month, 64gb model, 2yr contract discount
-   [proxmox](https://www.proxmox.com) - my preferred hypervisor. i find
    it useful enough and worth paying the annual license to use the
    official package mirrors - $80/year
-   domains - includes [tilde-related ones](https://tilde.wiki/domains)
    and my personal ones (about 10 or so) - about 30 domains totaling
    $500/year
-   offsite backups at [rsync.net](https://www.rsync.net/) - i use the
    [borg offering](%20https://www.rsync.net/products/attic.html) for a
    discount since versioning is handled by my backup software - between
    $60-$70/year

my out of pocket expenses are a little over $2k per year.

note that i use the server and backups for personal stuff in addition to
tilde related things.

the current expenses are totally manageable as is, but if you've got
some spare cash and want to pitch in towards tilde hosting costs, i have
a [donate page](%20https://bhh.sh/donate).

## software i run, use, and maintain

these are all free/open source.

#### operating systems

-   [ubuntu](https://ubuntu.com)
-   [debian](https://debian.org)
-   [alpine linux](https://alpinelinux.org)
-   [freebsd](https://freebsd.org)

#### platforms/software

these are things that i run and maintain for tilde.team and the
tildeverse

-   [mastodon](https://joinmastodon.org):
    [tilde.zone](https://tilde.zone)
-   [pleroma](https://pleroma.social):
    [pleroma.tilde.zone](https://pleroma.tilde.zone)
-   [nextcloud](https://nextcloud.com):
    [cloud.tilde.team](https://cloud.tilde.team)
-   [gitea](https://gitea.io): [tildegit](https://tildegit.org)
-   [inspircd](http://inspircd.org), [anope](http://anope.org):
    [tilde.chat](https://tilde.chat)
-   [postfix](http://www.postfix.org/), [dovecot](https://dovecot.org/),
    [rspamd](https://rspamd.com/),
    [rainloop](https://www.rainloop.net/): [tilde.team
    email](https://mail.tilde.team)
-   [cryptpad](https://github.com/xwiki-labs/cryptpad):
    [pad.t.o](https://pad.tildeverse.org)
-   [privatebin](https://privatebin.info/):
    [paste.t.o](https://paste.tildeverse.org)
-   [0x0](https://github.com/lachs0r/0x0): [ttm.sh](https://ttm.sh)
-   [lobsters](https://github.com/lobsters/lobsters):
    [tilde.news](https://tilde.news)
-   [tt-rss](https://tt-rss.org/): [rss.t.o](https://rss.tildeverse.org)
-   [drone](https://drone.io):
    [drone.tildegit.org](https://drone.tildegit.org)
-   [mailman](https://docs.mailman3.org/en/latest/):
    [lists.t.o](https://lists.tildeverse.org)

#### our own software

there are also a handful of other sites that we've written
collaboratively among tildeverse peeps:

-   [quotes db](https://tildegit.org/tildeverse/quotes): [see it
    live](https://quotes.tilde.chat)
-   [tildeverse zine](https://tildegit.org/tildeverse/zine): [see it
    live](https://zine.tildeverse.org)

see the [tildeverse org](https://tildegit.org/tildeverse) and [team
org](https://tildegit.org/team) on tildegit for more projects :)

this has diverged a bit from my costs into all the stuff that i do. i
suppose that means that the main cost is my time and energy. in general,
these things are hands-off in the day-to-day and only take time when
there are updates or something breaks.

tags: [tilde](tag_tilde.html), [sysadmin](tag_sysadmin.html)
